Debian Bug report logs - #354500
RM: libxml-sablot-perl -- RoQA ; orphaned, alternatives, no adopter for >2y

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 26 Feb 2006 22:03:14 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fernando Sanchez <fer@debian.org>, <wnpp@debian.org>:
Bug#354500; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: libxml-sablot-perl -- encapsulation of the Sablotron XSL processor
Date: Sun, 26 Feb 2006 22:18:56 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of libxml-sablot-perl, Fernando Sanchez <fer@debian.org>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libxml-sablot-perl
Binary: libxml-sablot-perl
Version: 1.0-1
Priority: optional
Section: perl
Maintainer: Fernando Sanchez <fer@debian.org>
Build-Depends: libsablot0-dev (>= 1.0-1), sablotron (>= 1.0-1), debhelper, libexpat1-dev (>= 1.95.6), perl (>= 5.8.0)
Architecture: any
Standards-Version: 3.5.9.0
Format: 1.0
Directory: pool/main/libx/libxml-sablot-perl
Files:
 cd62d5e1fa477896c0af73566db05bb1 994 libxml-sablot-perl_1.0-1.dsc
 964eee07ac9114d0be897f23a6f19606 52717 libxml-sablot-perl_1.0.orig.tar.gz
 76226ae3b9af89d6fb1c794d22c8bdae 3667 libxml-sablot-perl_1.0-1.diff.gz

Package: libxml-sablot-perl
Priority: optional
Section: perl
Installed-Size: 432
Maintainer: Fernando Sanchez <fer@debian.org>
Architecture: i386
Version: 1.0-1.0.1
Depends: perl (>= 5.8.0), libc6 (>= 2.3.5-1), libexpat1 (>= 1.95.8), libgcc1 (>= 1:4.0.1), libsablot0, libstdc++6 (>= 4.0.2)
Filename: pool/main/libx/libxml-sablot-perl/libxml-sablot-perl_1.0-1.0.1_i386.deb
Size: 135996
MD5sum: 9a791437c7395f15d6506da7de63dae0
Description: encapsulation of the Sablotron XSL processor
 XML::Sablotron is a very simple Perl package, which encapsulates C API
 of Sablotron XSL processor. The only important fact is, that this
 package uses a dynamic linking of Sablotron.
Tag: devel::library, langdevel::perl, made-of::lang:perl


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: libxml-sablot-perl -- encapsulation of the Sablotron XSL processor' from `O: libxml-sablot-perl -- encapsulation of the Sablotron XSL processor'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 19 Sep 2008 20:48:04 GMT) Full text and rfc822 format available.

Owner recorded as gregor herrmann <gregoa@debian.org>. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 19 Sep 2008 20:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#354500; Package wnpp. (Fri, 19 Sep 2008 22:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 19 Sep 2008 22:48:18 GMT) Full text and rfc822 format available.

Message #12 received at 354500@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: control@bugs.debian.org
Cc: 354500@bugs.debian.org
Subject: setting package to wnpp, tagging 354500
Date: Fri, 19 Sep 2008 23:26:37 +0200
# Automatically generated email from bts, devscripts version 2.10.35
# via tagpending 
#
# libxml-sablot-perl (1.0-3) UNRELEASED; urgency=low
#
#  * Take over for the Debian Perl Group; Closes: #354500 -- ITA
#

package wnpp
tags 354500 + pending





Tags added: pending Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 19 Sep 2008 22:48:39 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 09 Dec 2008 03:03:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gregor herrmann <gregoa@debian.org>:
Bug#354500; Package wnpp. (Sat, 01 Aug 2009 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gregor herrmann <gregoa@debian.org>. (Sat, 01 Aug 2009 13:03:06 GMT) Full text and rfc822 format available.

Message #21 received at 354500@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: gregor herrmann <gregoa@debian.org>, 354500@bugs.debian.org
Subject: Re: Bug#354500: setting package to wnpp, tagging 354500
Date: Sat, 1 Aug 2009 14:58:50 +0200
On 19/09/08 at 23:26 +0200, gregor herrmann wrote:
> # Automatically generated email from bts, devscripts version 2.10.35
> # via tagpending 
> #
> # libxml-sablot-perl (1.0-3) UNRELEASED; urgency=low
> #
> #  * Take over for the Debian Perl Group; Closes: #354500 -- ITA
> #
> 
> package wnpp
> tags 354500 + pending

Hi Gregor,

Do you still plan to adopt libxml-sablot-perl? If not, I would suggest
just removing that package from Debian (ie: please do it, with a "RM:
libxml-sablot-perl -- RoQA ; orphaned, alternatives, no adopter for >2y"
bug against ftp.debian.org). I'm quite sure there are alternatives.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#354500; Package wnpp. (Tue, 04 Aug 2009 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 04 Aug 2009 17:27:02 GMT) Full text and rfc822 format available.

Message #26 received at 354500@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 354500@bugs.debian.org
Subject: Re: Bug#354500: setting package to wnpp, tagging 354500
Date: Tue, 4 Aug 2009 19:24:42 +0200
[Message part 1 (text/plain, inline)]
On Sat, 01 Aug 2009 14:58:50 +0200, Lucas Nussbaum wrote:

> > # libxml-sablot-perl (1.0-3) UNRELEASED; urgency=low
> > #
> > #  * Take over for the Debian Perl Group; Closes: #354500 -- ITA

> Do you still plan to adopt libxml-sablot-perl? If not, I would suggest
> just removing that package from Debian (ie: please do it, with a "RM:
> libxml-sablot-perl -- RoQA ; orphaned, alternatives, no adopter for >2y"
> bug against ftp.debian.org). I'm quite sure there are alternatives.

Thanks for the reminder, and the propsal.
I had looked at the package back then, and was not really amused
about its state.
So if noone else from the Debian Perl Group speaks up I will change
the bug into a removal request in a few days.

Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #288:  Hard drive sleeping. Let it wake up on it's own... 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#354500; Package wnpp. (Fri, 14 Aug 2009 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 14 Aug 2009 22:06:03 GMT) Full text and rfc822 format available.

Message #31 received at 354500@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, control@bugs.debian.org
Cc: 354500@bugs.debian.org
Subject: Re: Bug#354500: setting package to wnpp, tagging 354500
Date: Sat, 15 Aug 2009 00:02:41 +0200
[Message part 1 (text/plain, inline)]
reassign 354500 ftp.debian.org
retitle 354500 RM: libxml-sablot-perl -- RoQA ; orphaned, alternatives, no adopter for >2y
block 354500 with 541610
thanks

On Tue, 04 Aug 2009 19:24:42 +0200, gregor herrmann wrote:

> On Sat, 01 Aug 2009 14:58:50 +0200, Lucas Nussbaum wrote:
> 
> > > # libxml-sablot-perl (1.0-3) UNRELEASED; urgency=low
> > > #
> > > #  * Take over for the Debian Perl Group; Closes: #354500 -- ITA
> 
> > Do you still plan to adopt libxml-sablot-perl? If not, I would suggest
> > just removing that package from Debian (ie: please do it, with a "RM:
> > libxml-sablot-perl -- RoQA ; orphaned, alternatives, no adopter for >2y"
> > bug against ftp.debian.org). I'm quite sure there are alternatives.
> 
> Thanks for the reminder, and the propsal.
> I had looked at the package back then, and was not really amused
> about its state.
> So if noone else from the Debian Perl Group speaks up I will change
> the bug into a removal request in a few days.

Ok, here we go.

libxml-sablot-perl currently has two rdeps:
* libapache-asp-perl - a simple suggests with alternatives,
  so libxml-sablot-perl can just be removed from there (#541611)
* docbook2odf - a Depends but the scripts should also work with
  libxml-libxslt-perl (#541610)

I suggest to wait for docbook2odf to be fixed, other than that
libxml-sablot-perl should be fine to be removed.

Cheers,
gregor
     
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Rolling Stones: Memphis
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 14 Aug 2009 22:06:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libxml-sablot-perl -- RoQA ; orphaned, alternatives, no adopter for >2y' from 'ITA: libxml-sablot-perl -- encapsulation of the Sablotron XSL processor' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 14 Aug 2009 22:06:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 354500: 541610 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 14 Aug 2009 22:06:16 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 16 Aug 2009 20:00:09 GMT) Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. (Sun, 16 Aug 2009 20:00:09 GMT) Full text and rfc822 format available.

Message #42 received at 354500-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 354500-close@bugs.debian.org
Cc: libxml-sablot-perl@packages.debian.org, libxml-sablot-perl@packages.qa.debian.org
Subject: Bug#354500: fixed
Date: Sun, 16 Aug 2009 19:42:48 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libxml-sablot-perl |      1.0-2 | source, kfreebsd-amd64, kfreebsd-i386, m68k
libxml-sablot-perl |   1.0-2+b1 | alpha, amd64, armel, hurd-i386, i386, ia64, mips, mipsel, powerpc, s390, sparc
libxml-sablot-perl |   1.0-2+b2 | hppa

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354500@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/354500

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Sep 2009 07:26:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:06:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.